library(stockassessment)
load("run/model.RData")
FC<-list()

#2020 forecast
#Fmsy
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(NA,NA,NA,NA), fval=c(0.45,0.45,0.46,0.46), label="2018F=2019F then Fmsy", rec.years=1973:2018)

#F=0
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(NA,NA,0,0), fval=c(0.45,0.45,NA,NA), label="2018F=2019F then zero", rec.years=1973:2018)

#F=SQ
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(NA,NA,NA,NA), fval=c(0.45,0.45,0.45,0.45), label="SQ, 2018F=2019F", rec.years=1973:2018)

#F that will get us to Blim
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fval=c(0.45,0.45,NA,0.268), fscale=c(NA,NA,NA,NA), nextssb=c(NA,NA,10354,NA),label="2018F=2019F SSB(2021)= Blim")

#F that will get us to Bpa and in this case MSYBtrigger
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fval=c(0.45,0.45,NA,0.268), fscale=c(NA,NA,NA,NA), nextssb=c(NA,NA,14803,NA),label="2018F=2019F SSB(2021)= Bpa")

#Flim in 2020
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fval=c(0.45,0.45,2.34,2.34), fscale=c(NA,NA,NA,NA), label="2018F=2019F Flim(2020)")

#Fpa in 2020
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fval=c(0.45,0.45,1.33,1.33), fscale=c(NA,NA,NA,NA), label="2018F=2019F Fpa(2020)")


# 2020  TAC2019
# Fmsy
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fval=c(.45,NA,.46,.46), catchval=c(NA,15000,NA,NA),label="2018+TAC2019 then Fmsy", rec.years=1973:2018)
# Fpa
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fval=c(.45,NA,1.33,1.33),catchval=c(NA,15000,NA,NA),label="2018+TAC2019 then Fpa", rec.years=1973:2018)
# Flim
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fval=c(.45,NA,2.34,2.34),catchval=c(NA,15000,NA,NA), label="2018+TAC2019 then Flim", rec.years=1973:2018)
# SQ Nu gjort som sidste år men måske skal de 4.834 være 0.527
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fval=c(0.45,NA,1.7,1.7),catchval=c(NA,15000,NA,NA),rec.years=1973:2018, label="2018+TAC2019 SQ")
# F=0
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fval=c(.45,NA,NA,NA), catchval=c(NA,15000,NA,NA), fscale=c(NA,NA,0,0),rec.years=1973:2018, label="2018+TAC2019 then F=0")

# SSB(2021)=Blim
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, catchval=c(NA,15000,NA,NA),fval=c(.45,NA,NA,.46), nextssb=c(NA,NA,10354,NA),label="TAC2019+SSB(2021)= Blim")

# SSB(2021)=Bpa
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, catchval=c(NA,15000,NA,NA), fval=c(.45,NA,NA,.46), nextssb=c(NA,NA,14803,NA),label="TAC2019+SSB(2021)= Bpa")

#Flim in 2020
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, catchval=c(NA,15000,NA,NA), fval=c(0.45,NA,2.34,2.34), fscale=c(NA,NA,NA,NA), label="TAC2019+Flim(2020)")

#Fpa in 2020
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, catchval=c(NA,15000,NA,NA), fval=c(0.45,NA,1.33,1.33), fscale=c(NA,NA,NA,NA), label="TAC2019+Fpa(2020)")


save(FC, file="run/forecast.RData")
